Download it now!
Bug 74929 - Chart grid is getting lost
Summary: Chart grid is getting lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-13 12:59 UTC by Priyanka Gaikwad
Modified: 2014-03-12 02:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The grid line getting lost for this attached file (239.39 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-13 12:59 UTC, Priyanka Gaikwad
Details
Line chart (264.19 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-04 06:34 UTC, Priyanka Gaikwad
Details
Column chart (278.87 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-04 06:35 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2014-02-13 12:59:26 UTC
Created attachment 94001 [details]
The grid line getting lost for this attached file

The chart's grid line (in the back) is getting lost.
Comment 1 Jorendc 2014-02-13 20:20:31 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: a315454f349469923490e4116806ee19263849b8

Tested by reopening the document using Word for Mac 2011.

Thanks for all your work related to this issues :)!

Kind regards,
Joren
Comment 2 Priyanka Gaikwad 2014-03-04 06:34:28 UTC
Created attachment 95068 [details]
Line chart
Comment 3 Priyanka Gaikwad 2014-03-04 06:35:07 UTC
Created attachment 95069 [details]
Column chart
Comment 4 Markus Mohrhard 2014-03-04 18:14:38 UTC
Can you please explain how you managed to generate these files? According to the file they have been created with Word 2013 but they are invalid which points to a bug in Word.
Comment 5 Commit Notification 2014-03-12 02:03:14 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=372ca2ce06cc940b5da0b4653776cfebc2733d40

MSO writes broken files, fdo#74929



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.